From 3638874ddc6cf03b3979364f5fc188d55e151644 Mon Sep 17 00:00:00 2001
From: kpdecker <kpdecker@gmail.com>
Date: Mon, 19 May 2014 23:08:34 -0500
Subject: [PATCH 1/3] Expose setup wrappers for compiled templates

---
 lib/handlebars/compiler/compiler.js | 10 ++++++++--
 1 file changed, 8 insertions(+), 2 deletions(-)

diff --git a/lib/handlebars/compiler/compiler.js b/lib/handlebars/compiler/compiler.js
index db0f39cd8..e5f2280ac 100644
--- a/lib/handlebars/compiler/compiler.js
+++ b/lib/handlebars/compiler/compiler.js
@@ -457,11 +457,17 @@ export function compile(input, options, env) {
     }
     return compiled.call(this, context, options);
   };
-  ret.child = function(i) {
+  ret._setup = function(options) {
     if (!compiled) {
       compiled = compileInput();
     }
-    return compiled.child(i);
+    return compiled._setup(options);
+  };
+  ret._child = function(i) {
+    if (!compiled) {
+      compiled = compileInput();
+    }
+    return compiled._child(i);
   };
   return ret;
 }

From 2a20976e6a766e8f53004fd74c2d869d4cc90517 Mon Sep 17 00:00:00 2001
From: kpdecker <kpdecker@gmail.com>
Date: Mon, 19 May 2014 23:15:18 -0500
Subject: [PATCH 2/3] Update release notes

---
 release-notes.md | 7 ++++++-
 1 file changed, 6 insertions(+), 1 deletion(-)

diff --git a/release-notes.md b/release-notes.md
index dc8da36f0..981231e17 100644
--- a/release-notes.md
+++ b/release-notes.md
@@ -2,7 +2,12 @@
 
 ## Development
 
-[Commits](https://github.com/wycats/handlebars.js/compare/v2.0.0-alpha.3...master)
+[Commits](https://github.com/wycats/handlebars.js/compare/v2.0.0-alpha.4...master)
+
+## v2.0.0-alpha.4 - May 19th, 2014
+- Expose setup wrappers for compiled templates - 3638874
+
+[Commits](https://github.com/wycats/handlebars.js/compare/v2.0.0-alpha.3...v2.0.0-alpha.4)
 
 ## v2.0.0-alpha.3 - May 19th, 2014
 - [#797](https://github.com/wycats/handlebars.js/pull/797) - Pass full helper ID to helperMissing when options are provided ([@tomdale](https://api.github.com/users/tomdale))

From efad61b1b72a487c087f57ba85287f5682e57280 Mon Sep 17 00:00:00 2001
From: kpdecker <kpdecker@gmail.com>
Date: Mon, 19 May 2014 23:15:50 -0500
Subject: [PATCH 3/3] v2.0.0-alpha.4

---
 components/bower.json           | 2 +-
 components/handlebars.js.nuspec | 2 +-
 lib/handlebars/base.js          | 2 +-
 package.json                    | 2 +-
 4 files changed, 4 insertions(+), 4 deletions(-)

diff --git a/components/bower.json b/components/bower.json
index 176190e83..efcfbf584 100644
--- a/components/bower.json
+++ b/components/bower.json
@@ -1,6 +1,6 @@
 {
   "name": "handlebars",
-  "version": "2.0.0-alpha.3",
+  "version": "2.0.0-alpha.4",
   "main": "handlebars.js",
   "dependencies": {}
 }
diff --git a/components/handlebars.js.nuspec b/components/handlebars.js.nuspec
index 1c255e78a..7cf788646 100644
--- a/components/handlebars.js.nuspec
+++ b/components/handlebars.js.nuspec
@@ -2,7 +2,7 @@
 <package>
 	<metadata>
 		<id>handlebars.js</id>
-		<version>2.0.0-alpha.3</version>
+		<version>2.0.0-alpha.4</version>
 		<authors>handlebars.js Authors</authors>
 		<licenseUrl>https://github.com/wycats/handlebars.js/blob/master/LICENSE</licenseUrl>
 		<projectUrl>https://github.com/wycats/handlebars.js/</projectUrl>
diff --git a/lib/handlebars/base.js b/lib/handlebars/base.js
index f34ab3fd9..3cb432352 100644
--- a/lib/handlebars/base.js
+++ b/lib/handlebars/base.js
@@ -1,7 +1,7 @@
 module Utils from "./utils";
 import Exception from "./exception";
 
-export var VERSION = "2.0.0-alpha.3";
+export var VERSION = "2.0.0-alpha.4";
 export var COMPILER_REVISION = 5;
 
 export var REVISION_CHANGES = {
diff --git a/package.json b/package.json
index c08f314f0..b8b3b3bca 100644
--- a/package.json
+++ b/package.json
@@ -1,7 +1,7 @@
 {
   "name": "handlebars",
   "barename": "handlebars",
-  "version": "2.0.0-alpha.3",
+  "version": "2.0.0-alpha.4",
   "description": "Handlebars provides the power necessary to let you build semantic templates effectively with no frustration",
   "homepage": "http://www.handlebarsjs.com/",
   "keywords": [
